/* PAGES */

export const LANDING_PAGE_CHANGE_PAGE = "LANDING_PAGE_CHANGE_PAGE";

/* FORM EVENTS */

export const SIGN_UP_SUBMIT = "SIGN_UP_SUBMIT";
export const SIGN_UP_INPUT = "SIGN_UP_INPUT";

export const SIGN_IN_SUBMIT = "SIGN_IN_SUBMIT";
export const SIGN_IN_INPUT = "SIGN_IN_INPUT";

export const RPG_ENTRY_FORM_RPG_CHARACTER_ID_CHANGED = "RPG_ENTRY_FORM_RPG_CHARACTER_ID_CHANGED";
export const RPG_ENTRY_FORM_USER_ID_CHANGED = "RPG_ENTRY_FORM_USER_ID_CHANGED";
export const RPG_ENTRY_FORM_RPG_SESSION_ID_CHANGED = "RPG_ENTRY_FORM_RPG_SESSION_ID_CHANGED";
export const RPG_ENTRY_FORM_INPUT_CHANGED = "RPG_ENTRY_FORM_INPUT_CHANGED";

/* OUTPUT MESSAGE */

export const CHECK_TOKEN = "CHECK_TOKEN";
export const CURRENT_USER_REQUEST = "CURRENT_USER_REQUEST";
export const RPG_SESSION_REQUEST = "RPG_SESSION_REQUEST";
export const RPG_SESSIONS_REQUEST = "RPG_SESSIONS_REQUEST";
export const USERS_REQUEST = "USERS_REQUEST";
export const RPG_CHARACTERS_REQUEST = "RPG_CHARACTERS_REQUEST";
export const RPG_ENTRIES_REQUEST = "RPG_ENTRIES_REQUEST";
export const USERS_RELATED_RPG_CHARACTERS_LIST_REQUEST = "USERS_RELATED_RPG_CHARACTERS_LIST_REQUEST";
export const RPG_SESSIONS_RPG_CHARACTERS_LIST_REQUEST = "RPG_SESSIONS_RPG_CHARACTERS_LIST_REQUEST";
export const CREATE_RPG_SESSION_ENTRY_REQUEST = "CREATE_RPG_SESSION_ENTRY_REQUEST";

/* WEB SOCKET ERRORS */

export const DATABASE_UNAVAILABLE = "DATABASE_UNAVAILABLE";
export const DELIVERY_FAILURE = "DELIVERY_FAILURE";
export const SAVE_EMAIL_FAILURE = "SAVE_EMAIL_FAILURE";
export const USER_NOT_FOUND = "USER_NOT_FOUND";
export const EMAIL_ALREADY_TAKEN = "EMAIL_ALREADY_TAKEN";
export const CREATE_TOKEN_FAILURE = "CREATE_TOKEN_FAILURE";
export const TOKEN_NOT_FOUND = "TOKEN_NOT_FOUND";
export const PARSE_TEMPLATE_FAILURE = "PARSE_TEMPLATE_FAILURE";
export const INVALID_UUID_FORMAT = "INVALID_UUID_FORMAT";
export const NICKNAME_ALREADY_TAKEN = "NICKNAME_ALREADY_TAKEN";
export const NO_RPG_SESSIONS_FOUND = "NO_RPG_SESSIONS_FOUND";
export const NO_USERS_FOUND = "NO_USERS_FOUND";

/* INCOMING MESSAGE */

export const TOKEN_RECEIVED = "TOKEN_RECEIVED";
export const USER_RECEIVED = "USER_RECEIVED";
export const CURRENT_USER_RECEIVED = "CURRENT_USER_RECEIVED";
export const RPG_SESSIONS_RECEIVED = "RPG_SESSIONS_RECEIVED";
export const RPG_SESSION_RECEIVED = "RPG_SESSION_RECEIVED";
export const RPG_CHARACTERS_RECEIVED = "RPG_CHARACTERS_RECEIVED";
export const RPG_ENTRIES_RECEIVED = "RPG_ENTRIES_RECEIVED";
export const USERS_RECEIVED = "USERS_RECEIVED";
export const RPG_SESSIONS_RPG_CHARACTERS_RECEIVED = "RPG_SESSIONS_RPG_CHARACTERS_RECEIVED";

/* MODALS */

export const OPEN_NICKNAME_MODAL = "OPEN_NICKNAME_MODAL";
export const CLOSE_NICKNAME_MODAL = "CLOSE_NICKNAME_MODAL";
export const NICKNAME_MODAL_INPUT = "NICKNAME_MODAL_INPUT";
export const NICKNAME_MODAL_SUBMIT = "NICKNAME_MODAL_SUBMIT";
